Foreman - Feature #1179

Create puppet template with attribute foreman hostgroup
09/23/2011 11:51 AM - anto anto

Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: External Nodes

Target version: 0.4

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request:

Description

Hello,

All is in the subject. | don't know if it is possible to use the hostgroup attribute of a host in a puppet template but when i use "<%=
hostgroup %>" in a template | have this error : Could not find value for 'hostgroup'.

It is possible ? It is an other name of attribute ?
It is possible to add this possibility ?

Thanks for all.

Associated revisions

Revision e20f5716 - 09/27/2011 04:11 AM - Ohad Levy
fixes #1179 - exposes foreman attributes in enc
this includes:

e hostgroup

root password (when in unattended mode)
foreman env (workaround for puppet enc bug)
owner name

L]
L]
L]
e owner email (or array of emails if its a group)

Revision 052dc65f - 09/27/2011 04:16 AM - Ohad Levy

refs #1179 - hostname name in enc should include its parents too

Revision 771129f2 - 10/03/2011 03:20 AM - Ohad Levy

adds host description as an ENC parameter refs #1179

History

#1 - 09/27/2011 03:12 AM - Ohad Levy
- Category set to External Nodes
- Assignee set to Ohad Levy

- Target version set to 0.4

#2 - 09/27/2011 03:13 AM - Ohad Levy

which other attributes should be exposed as well?

#3 - 09/27/2011 09:54 AM - Ohad Levy
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset e20f5716d0a13f1bb4d54e64229947a4975c22b0.
